Page MenuHomePhabricator

Migrate cxserver to kubernetes
Closed, ResolvedPublic

Description

Subtask of the TEC3:O3:O3.1:Q3 Goal to migrate cxserver to use the deployment pipeline

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 8 2019, 5:33 PM
greg triaged this task as Normal priority.Jan 9 2019, 6:13 PM
thcipriani updated the task description. (Show Details)Jan 9 2019, 6:15 PM
Pchelolo moved this task from Backlog to watching on the Services board.Jan 9 2019, 8:03 PM
Pchelolo edited projects, added Services (watching); removed Services.

Change 490559 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[integration/config@master] Move cxserver to deployment pipeline

https://gerrit.wikimedia.org/r/490559

Change 490562 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[mediawiki/services/cxserver@master] Add .pipeline/blubber.yaml

https://gerrit.wikimedia.org/r/490562

Change 490562 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Add .pipeline/blubber.yaml

https://gerrit.wikimedia.org/r/490562

Change 490559 merged by jenkins-bot:
[integration/config@master] Move cxserver to deployment pipeline

https://gerrit.wikimedia.org/r/490559

Mentioned in SAL (#wikimedia-operations) [2019-02-21T10:04:49Z] <akosiaris> create cxserver namespace on kubernetes eqiad codfw staging clusters T213195

Change 492273 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] Add citoid, cxserver kubernetes tokens

https://gerrit.wikimedia.org/r/492273

Change 492301 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/deployment-charts@master] Introduce cxserver helm chart

https://gerrit.wikimedia.org/r/492301

Change 492273 merged by Alexandros Kosiaris:
[operations/puppet@production] Add citoid, cxserver kubernetes tokens

https://gerrit.wikimedia.org/r/492273

Change 492301 merged by Alexandros Kosiaris:
[operations/deployment-charts@master] Introduce cxserver helm chart

https://gerrit.wikimedia.org/r/492301

Change 496160 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/deployment-charts@master] Package cxserver chart 0.0.2

https://gerrit.wikimedia.org/r/496160

Change 496160 merged by Alexandros Kosiaris:
[operations/deployment-charts@master] Package cxserver chart 0.0.2

https://gerrit.wikimedia.org/r/496160

Change 496183 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] Allow cxserver in kubernetes to access apertium

https://gerrit.wikimedia.org/r/496183

Change 496183 merged by Alexandros Kosiaris:
[operations/puppet@production] Allow cxserver in kubernetes to access apertium

https://gerrit.wikimedia.org/r/496183

Mentioned in SAL (#wikimedia-operations) [2019-03-13T15:40:33Z] <akosiaris> do the first deploy of cxserver in eqiad/codfw T213195

Change 496199 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[mediawiki/services/cxserver@master] Add ca-certificates package to production

https://gerrit.wikimedia.org/r/496199

Change 496199 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Add ca-certificates package to production

https://gerrit.wikimedia.org/r/496199

Change 496381 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] Send traffic for cxserver to kubernetes hosts as well

https://gerrit.wikimedia.org/r/496381

Change 496382 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] lvs: Use the kubernetes cluster for cxserver

https://gerrit.wikimedia.org/r/496382

Change 496383 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] cxserver: Clean up old scb cluster stanzas

https://gerrit.wikimedia.org/r/496383

jijiki added a subscriber: jijiki.

Change 496381 merged by Effie Mouzeli:
[operations/puppet@production] Send traffic for cxserver to kubernetes hosts as well

https://gerrit.wikimedia.org/r/496381

Mentioned in SAL (#wikimedia-operations) [2019-03-14T12:17:35Z] <jijiki> Send ~4% of cxserver traffic to eqiad k8s - T213195

Mentioned in SAL (#wikimedia-operations) [2019-03-14T12:42:46Z] <jijiki> Rump up k8s cxserver traffic to 8% - T213195

K8s is service currently ~8% of total traffic, we will rump it up to 50% tomorrow, please ping us if there are any issues

Mentioned in SAL (#wikimedia-operations) [2019-03-15T09:17:55Z] <jijiki> Ramp up cxserver k8s traffic to 50% - T213195

Dzahn added a subscriber: Dzahn.Mar 15 2019, 11:26 AM
jijiki moved this task from Backlog/Radar to In Progress on the User-jijiki board.Mar 18 2019, 3:43 PM

Mentioned in SAL (#wikimedia-operations) [2019-03-18T15:45:34Z] <jijiki> Depool sbc* from serving cxserver on eqiad - T213195

Mentioned in SAL (#wikimedia-operations) [2019-03-21T09:42:20Z] <jijiki> Depool scb* in codfw from serving cxserver, finishing its migration to k8s - T213195

Is this now completed?

jijiki added a comment.Apr 4 2019, 8:47 PM

Traffic is being served from k8s, we will mark this as resolved after we merge a couple of cleanup patches (like the last ones in T213194) and we make sure there are no outstanding issues

Change 496382 merged by Effie Mouzeli:
[operations/puppet@production] lvs: Use the kubernetes cluster for cxserver

https://gerrit.wikimedia.org/r/496382

Change 506366 had a related patch set uploaded (by Effie Mouzeli; owner: Effie Mouzeli):
[operations/puppet@production] cxserver: Clean up old scb cluster stanzas

https://gerrit.wikimedia.org/r/506366

Change 496383 abandoned by Alexandros Kosiaris:
cxserver: Clean up old scb cluster stanzas

Reason:
In favor of https://gerrit.wikimedia.org/r/#/c/operations/puppet/ /506366/

https://gerrit.wikimedia.org/r/496383

jijiki moved this task from In Progress to St on the User-jijiki board.May 6 2019, 9:04 AM

Change 506366 merged by Effie Mouzeli:
[operations/puppet@production] cxserver: Clean up old scb cluster stanzas

https://gerrit.wikimedia.org/r/506366

jijiki closed this task as Resolved.May 6 2019, 2:56 PM
jijiki claimed this task.